#!/bin/sh

# Multi-shell script.  Works under Bourne Shell, MPW Shell, zsh.

if : == x
then # Bourne Shell or zsh
     exec %%BINDIR%%/ocamlopt metanative.cmxa hookdynlink.cmx -ccopt -Wl,-E -cclib -lnatdyn "$@"
else # MPW Shell
     ocamlopt metanative.cmxa hookdynlink.cmx -ccopt -Wl,-E -cclib -lnatdyn {"parameters"}
     exit {status}
End # uppercase E because "end" is a keyword in zsh
fi
